#!/bin/sh
#
# set_ID.sh
#
# Change all the relevant `ii' references to the actual paper ID.
# GNU sed is probably needed.
#
# Usage: `./setID.sh 02' to set your paper name to `p02'

id=$1

# check the given id is correct
while [ -z "`echo $id | grep '[0-9][0-9]'`" ]; do
    echo "No valid paper ID given.  It should match expression \`[0-9][0-9]'."
    echo "Please type your paper submission ID: "
    read id
done

# directory; assumes there's only one match for p[i0-9][i0-9]!
mv p[i0-9][i0-9] p$id
cd p$id

# renaming
mv p[i0-9][i0-9]_title.tex     p${id}_title.tex
mv p[i0-9][i0-9]_main.tex      p${id}_main.tex
mv p[i0-9][i0-9]_biblio.bib    p${id}_biblio.bib
#mv p[i0-9][i0-9]_copyright.pdf p${id}_copyright.pdf

# editing p${id}_main.tex
sed -i~ -e "s/input{p[i0-9][i0-9]_title.tex}/input{p${id}_title.tex}/g"\
  -e "s/bibliography{pii_biblio}/bibliography{p${id}_biblio}/g"\
  p${id}_main.tex

# editing Makefile
sed -i~ -e "s/article = p[i0-9][i0-9]/article = p${id}/g" Makefile